EMR API

post /users/{id}/emr/{name}

Update EMR section

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Update a specific EMR section for a user

Input fields should follow the schema from GET /emr/schema for the corresponding :name schema.

EMR Data Formats

Each POST body must include data (the health data) and optionally data_not_reported (boolean: true if user selects not to declare any data).

Conditions: {"data":[{"condition":"Asthma"},{"condition":"Bleeding problem"}], "data_not_reported":false}

Surgeries: {"data":[{"procedure":"Heart valve replaced"}], "data_not_reported":false}

Family History: {"data":[{"condition":"Alcoholism","relations":["Mother","Father"]}], "data_not_reported":false}

Social History: {"data":{"marital_status":"Single","highest_ed":"Grammar school","occupation":"test","num_kids":"5"}, "data_not_reported":false}

Health Habits: {"data":{"smoking":"Never","alcohol":"Never","drugs":"none","exercise":"Never"}, "data_not_reported":false}

Medications: {"data":[{"name": "Tylenol"}], "data_not_reported":false}

Allergies: {"data":[{"substance": "1-Day"}, {"substance": "12 Hour Nasal"}], "data_not_reported":false}

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesUser ID or '-' for current user (e.g. 575)
namepathstringyesconditions, surgeries, allergies, medications, family_conditions, social_history, health_habitsName of EMR schema (conditions, surgeries, allergies, medications, family_conditions, social_history, health_habits) (e.g. conditions)

Request body

Content type: application/json

FieldTypeRequiredEnumDescription
dataarrayyes
data_not_reportedbooleanyes

Example:

{
  "data": [
    {
      "condition": "Asthma"
    },
    {
      "condition": "Bleeding problem"
    }
  ],
  "data_not_reported": false
}

Responses

200 — Successful update

Success

{
  "data": {
    "data": {
      "marital_status": "Single",
      "highest_ed": "Grammar school",
      "occupation": "test",
      "num_kids": "5"
    }
  }
}

Machine-readable: OpenAPI JSON